Skip to navigation

List project reimports

List asynchronous reimport jobs for a project (paginated). Optionally filter by status. Use page / page_size query params.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"

Path parameters

idintegerRequired
A unique integer value identifying this project.

Query parameters

pageintegerOptional
Page number within the paginated result set.
page_sizeintegerOptional

Number of results per page (max 100).

statusstringOptional

Filter by reimport status (created, in_progress, failed, completed).

Response

This endpoint returns an object.
countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"